<ion-card
    class="doctor my-10 mx-2 px-5 border-solid border-1 radius-5 has-border-grey-light-thin"
>
    <ion-row class="doctor__content py-10 px-5">
        <!-- Avatar -->
        <ion-col size="2" sizeSm="auto" class="pt-18">
            <ion-avatar class="width-55 height-55">
                <app-img
                    [src]="doctor.photo"
                    [alt]="doctor.name"
                    [title]="doctor.name"
                    [errorSrc]="defaultAvatar"
                ></app-img>
            </ion-avatar>
        </ion-col>
        <!-- Doctor info -->
        <ion-col size="5" class="pl-14 pt-13">
            <ion-label
                color="dark"
                data-testid="doctor-name"
                [routerLink]="['/search/detail-doctor']"
                [queryParams]="{ doctorId: doctor.id }"
            >
                <h3 class="weight-600 ion-no-margin">
                    Dr {{ doctor.firstname }} {{ doctor.name }}
                </h3>
            </ion-label>
            <ion-text
                color="grey-black"
                class="size-10 has-text-primary weight-300"
            >
                {{ doctor.domain.name }}
            </ion-text>
            <ion-label color="dark" class="flex ion-align-items-center my-6">
                <ion-icon name="location"></ion-icon>
                <ion-text
                    class="weight-200 size-10 has-text-primary"
                    color="grey-lighter"
                >
                    {{ address | shorten : 12 : '...' }}
                </ion-text>
            </ion-label>
            <ion-text
                class="has-text-secondary weight-500 size-15"
                color="secondary"
            >
                {{ doctor.consultationPrice }} FCFA
            </ion-text>
        </ion-col>
        <!-- Meetings info -->
        <ion-col size="5" class="ion-text-center pt-4">
            <ion-text class="weight-500 size-10" color="dark-light-thin">
                Prochaine disponibilité
            </ion-text>
            <ion-row
                class="ion-align-items-center ion-justify-content-center mt-3 mb-2"
            >
                <ion-col size="auto">
                    <ion-text
                        class="weight-800 mr-2 size-20 has-text-secondary"
                        color="secondary"
                    >
                        {{
                            (
                                doctor.nextCalendar.availableDate
                                | date : 'dd MMM'
                            )
                                .split('.')
                                .join('')
                        }}
                    </ion-text>
                    <ion-text
                        class="weight-400 ml-2 size-13 has-text-primary"
                        color="grey-lighter"
                    >
                        {{
                            doctor.nextCalendar.availableDateStart
                                | slice : 0 : 2
                        }}h
                        {{
                            doctor.nextCalendar.availableDateStart
                                | slice : 3 : 5
                        }}mn
                    </ion-text>
                </ion-col>
            </ion-row>
            <ion-text
                class="doctor__cta flex width-120 py-5 size-9 has-background-primary radius-8 ion-align-items-center ion-justify-content-center"
                (click)="goToTaking()"
                (keyPress)="goToTaking()"
                data-testid="taking"
                color="white-dove"
            >
                Prendre rendez-vous
            </ion-text>
            <ion-text
                *ngIf="completeProfile"
                (click)="toggleSchedule()"
                (keyPress)="toggleSchedule()"
                class="block weight-500 size-10"
                color="blue-dark"
                data-testid="more-availability"
                >Voir plus de disponibilité</ion-text
            >
        </ion-col>
    </ion-row>
    <app-doctor-schedule
        *ngIf="showSchedule"
        [doctorId]="doctor.id"
        data-testid="doctor-schedule"
    ></app-doctor-schedule>
</ion-card>
